## qtilitools 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(Qtilitools
    VERSION 0.1.1
)
string(TOLOWER ${PROJECT_NAME} PROJECT_ID)

set(PROJECT_FILES
    bin/qtls-translate
    cmake/QtilitoolsConfig.cmake.in
    cmake/modules/AppStream.cmake
    cmake/modules/QtAppResources.cmake
    cmake/modules/Translate.cmake
    cmake/modules/TranslateDesktop.pl
    README.md
)
source_group("Files" FILES ${PROJECT_FILES})
add_custom_target(${PROJECT_NAME} SOURCES ${PROJECT_FILES})

if(EXISTS "/etc/os-release")
    file(STRINGS "/etc/os-release" distro_ REGEX "^ID=")
    string(REPLACE "ID=" "" distro_ "${distro_}")
endif()

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

set(QTILITOOLS_CMAKE_PATH "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_ID}")
configure_package_config_file("cmake/QtilitoolsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QtilitoolsConfig.cmake"
    PATH_VARS QTILITOOLS_CMAKE_PATH
    INSTALL_DESTINATION "${QTILITOOLS_CMAKE_PATH}"
)
write_basic_package_version_file("QtilitoolsConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMinorVersion
    ARCH_INDEPENDENT
)
if(distro_ STREQUAL "arch")
    install(FILES "COPYING"            DESTINATION "${CMAKE_INSTALL_DATADIR}/licenses/${PROJECT_ID}")
endif()
install(PROGRAMS  "bin/qtls-translate" DESTINATION "${CMAKE_INSTALL_BINDIR}")
install(DIRECTORY "cmake/modules"      DESTINATION "${QTILITOOLS_CMAKE_PATH}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/QtilitoolsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/QtilitoolsConfigVersion.cmake"
        DESTINATION "${QTILITOOLS_CMAKE_PATH}"
)
message(STATUS "
Project name:   ${PROJECT_NAME}
Version:        ${PROJECT_VERSION}
System:         ${CMAKE_SYSTEM}
Install prefix: ${CMAKE_INSTALL_PREFIX}
")

## qtilitools 0.1.1~git20231009

=== debian/changelog ===
qtilitools (0.1.1~git20231009-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2043824).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Nov 2023 11:16:53 -0600

=== debian/control ===
Source: qtilitools
Section: libdevel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://jpnaude.github.io/Qtilities/
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtilitools-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qtilitools-packaging.git

Package: libqtilitools-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qtilitools library package
 Qtilitools is the base utility for Qtilities, a set of lightweight Qt-based
 applications. It is comparable to lxqt-build-tools.

## qtilitools 0.1.2

=== debian/changelog ===
qtilitools (0.1.2-1.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Feb 2025 09:48:42 -0800

qtilitools (0.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration. (Closes: #1078582)

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Aug 2024 23:42:47 -0400

qtilitools (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1058651).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 14 Dec 2023 03:19:07 +0000

=== debian/control ===
Source: qtilitools
Section: libdevel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Aaron Rainbolt <arraybolt3@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://qtilities.github.io/
Vcs-Browser: https://salsa.debian.org/ArrayBolt3/qtilitools
Vcs-Git: https://salsa.debian.org/ArrayBolt3/qtilitools.git

Package: libqtilitools-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qtilitools library package
 Qtilitools is the base utility for Qtilities, a set of lightweight Qt-based
 applications. It is comparable to lxqt-build-tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## qtilitools 0.1.2+git20240107

=== debian/changelog ===
qtilitools (0.1.2+git20240107-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot.
  * Remove patch applied upstream.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 19 Oct 2024 15:08:00 -0500

## qtilitools 0.1.2+really0.1.2

=== debian/changelog ===
qtilitools (0.1.2+really0.1.2-0ubuntu1) plucky; urgency=medium

  * Upstream now offers releases, so dropping git.
  * Added watch file.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 02 Feb 2025 22:54:57 +0000

=== debian/control ===
Source: qtilitools
Section: libdevel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://jpnaude.github.io/Qtilities/
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtilitools-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qtilitools-packaging.git

Package: libqtilitools-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qtilitools library package
 Qtilitools is the base utility for Qtilities, a set of lightweight Qt-based
 applications. It is comparable to lxqt-build-tools.

=== debian/watch ===
version=4
opts="searchmode=plain, \
dversionmangle=s/\~(really)(\d\.)*(\d)*//, \
filenamemangle=s/(@ANY_VERSION@)/qtilitools-$1.tar.gz/" \
  https://api.github.com/repos/qtilities/@PACKAGE@/releases https:\/\/api.github.com\/repos\/qtilities\/@PACKAGE@\/tarball\/@ANY_VERSION@
